/*  einsc -- a compiler for eins
 *    Test application for the semantic analyzer.
 *
 *    Matthias Zenger, Michel Schinz, Philippe Altherr
 *    $Id: AnalyzerTest.java,v 1.1 2005/03/15 14:46:54 dragos Exp $
 */

package einsc;

import java.io.*;


/** A small test class for the semantic analyzer of einsc; it reads in a
 *  file and prints out the abstract syntax tree. If the program is
 *  erroneous, the compiler will print a corresponding error message
 *  instead.
 *
 *  usage: java einsc.AnalyzerTest <file.eins>
 */
public class AnalyzerTest {
    public static void main(String[] args) {
        try {
            Parser p = new Parser(new FileReader(args[0]));
            new Analyzer().analyze(p.parse());
            p.close();
        } catch (IOException e) {
            Report.fail(e.getMessage());
        }
    }
}
