/*  einsc -- a compiler for eins
 *    Test application for the pretty printer
 *
 *    Matthias Zenger, Michel Schinz, Philippe Altherr
 *    $Id: PrinterTest.java,v 1.1 2005/03/15 14:46:52 dragos Exp $
 */

package einsc;

import java.io.*;


/** A small test class for the pretty printer of einsc; it reads in a
 *  file and prints out the abstract syntax tree. If the program is
 *  erroneous, the compiler will print a corresponding error message
 *  instead.
 *
 *  usage: java einsc.PrinterTest <file.eins>
 */
public class PrinterTest {
    public static void main(String[] args) {
        try {
            Parser p = new Parser(new FileReader(args[0]));
            new Printer().print(p.parse());
            p.close();
        } catch (IOException e) {
            Report.fail(e.getMessage());
        }
    }
}
