/*  einsc -- a compiler for eins
 *    Test application for the scanner
 *
 *    Matthias Zenger, Michel Schinz, Philippe Altherr
 *    $Id: ScannerTest.java,v 1.1 2005/03/15 14:46:50 dragos Exp $
 */

package einsc;

import java.io.*;


/** A small scanner test class; it reads in a file and prints out
 *  the sequence of tokens.
 *
 *  usage: java einsc.ScannerTest <file.eins>
 */
public class ScannerTest implements Tokens {
    public static void main(String[] args) {
        try {
            Scanner s = new Scanner(new FileReader(args[0]));
            while (s.token != EOF) {
                System.out.println(s.representation());
                s.nextToken();
            }
            s.close();
        } catch (IOException e) {
            Report.fail(e.getMessage());
        }
    }
}
